[ARVADOS-WORKBENCH2] updated: 2.1.0-217-gf21bb210
Git user
git at public.arvados.org
Fri Mar 12 15:53:29 UTC 2021
Summary of changes:
tools/run-integration-tests.sh | 4 ++++
1 file changed, 4 insertions(+)
discards 97418962ed8cd2049579b22ee9d4c7dda53afe89 (commit)
via f21bb210446c4230bef9e5e50b4a9e9b1293bd3b (commit)
This update added new revisions after undoing existing revisions. That is
to say, the old revision is not a strict subset of the new revision. This
situation occurs when you --force push a change and generate a repository
containing something like this:
* -- * -- B -- O -- O -- O (97418962ed8cd2049579b22ee9d4c7dda53afe89)
\
N -- N -- N (f21bb210446c4230bef9e5e50b4a9e9b1293bd3b)
When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit f21bb210446c4230bef9e5e50b4a9e9b1293bd3b
Author: Ward Vandewege <ward at curii.com>
Date: Fri Mar 12 10:01:04 2021 -0500
17119: update the Makefile and tools/run-integration-tests.sh to make
the arvados source path configurable.
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/Makefile b/Makefile
index 6da3ed10..de88cd35 100644
--- a/Makefile
+++ b/Makefile
@@ -19,6 +19,8 @@ ITERATION?=1
TARGETS?="centos7 debian8 debian10 ubuntu1404 ubuntu1604 ubuntu1804 ubuntu2004"
+ARVADOS_DIRECTORY?=unset
+
DESCRIPTION=Arvados Workbench2 - Arvados is a free and open source platform for big data science.
MAINTAINER=Arvados Package Maintainers <packaging at arvados.org>
@@ -65,7 +67,7 @@ unit-tests: yarn-install
integration-tests: yarn-install
yarn run cypress install
- $(WORKSPACE)/tools/run-integration-tests.sh
+ $(WORKSPACE)/tools/run-integration-tests.sh -a $(ARVADOS_DIRECTORY)
integration-tests-in-docker: workbench2-build-image
docker run -ti -v$(PWD):$(PWD) -w$(PWD) workbench2-build make integration-tests
diff --git a/tools/run-integration-tests.sh b/tools/run-integration-tests.sh
index 140de3c8..fbc456bd 100755
--- a/tools/run-integration-tests.sh
+++ b/tools/run-integration-tests.sh
@@ -10,7 +10,7 @@ cleanup() {
set +e +o pipefail
kill ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID}
wait ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID} || true
- if [ "${CLEANUP_ARVADOS_DIR}" -eq "1" ]; then
+ if [ ${CLEANUP_ARVADOS_DIR} -eq 1 ]; then
rm -rf ${ARVADOS_DIR}
fi
echo >&2 "done"
@@ -36,9 +36,9 @@ usage() {
# Allow self-signed certs on 'wait-on'
export NODE_TLS_REJECT_UNAUTHORIZED=0
+ARVADOS_DIR="unset"
CLEANUP_ARVADOS_DIR=0
CYPRESS_MODE="run"
-ARVADOS_DIR=`mktemp -d`
WB2_DIR=`pwd`
while getopts "ia:w:" o; do
@@ -61,6 +61,13 @@ while getopts "ia:w:" o; do
done
shift $((OPTIND-1))
+if [ "${ARVADOS_DIR}" = "unset" ]; then
+ echo "ARVADOS_DIR is unset, creating a temporary directory for new checkout"
+ ARVADOS_DIR=`mktemp -d`
+fi
+
+echo "ARVADOS_DIR is ${ARVADOS_DIR}"
+
ARVADOS_LOG=${ARVADOS_DIR}/arvados.log
ARVADOS_CONF=${WB2_DIR}/tools/arvados_config.yml
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list